curl --request GET \
--url https://chat.domix.ai/api/v1/accounts/{account_id}/contacts \
--header 'api-access-token: <api-key>'import requests
url = "https://chat.domix.ai/api/v1/accounts/{account_id}/contacts"
headers = {"api-access-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-access-token': '<api-key>'}};
fetch('https://chat.domix.ai/api/v1/accounts/{account_id}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"count": 123,
"current_page": "<string>"
},
"payload": [
{
"additional_attributes": {
"city": "<string>",
"country": "<string>",
"country_code": "<string>",
"created_at_ip": "<string>"
},
"email": "<string>",
"id": 123,
"name": "<string>",
"phone_number": "<string>",
"blocked": true,
"identifier": "<string>",
"thumbnail": "<string>",
"custom_attributes": {},
"last_activity_at": 123,
"created_at": 123,
"contact_inboxes": [
{
"source_id": "<string>",
"inbox": {
"id": 123,
"avatar_url": "<string>",
"channel_id": 123,
"name": "<string>",
"channel_type": "<string>",
"provider": "<string>"
}
}
]
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}List Contacts
Listing all the resolved contacts with pagination (Page size = 15). Resolved contacts are the ones with a value for identifier, email or phone number
Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
Query Parameters
The attribute by which list should be sorted
name, email, phone_number, last_activity_at, -name, -email, -phone_number, -last_activity_at The page parameter
Response
Success
List of contacts
Hide child attributes
Hide child attributes
The object containing additional attributes related to the contact
Hide child attributes
Hide child attributes
Availability status of the contact
online, offline The email address of the contact
The ID of the contact
The name of the contact
The phone number of the contact
Whether the contact is blocked
The identifier of the contact
The thumbnail of the contact
The custom attributes of the contact
Timestamp of last activity
Timestamp when contact was created
List of inboxes associated with this contact
Hide child attributes
Hide child attributes
Source identifier for the contact inbox
Hide child attributes
Hide child attributes
ID of the inbox
URL for the inbox avatar
ID of the channel
Name of the inbox
Type of channel
Provider of the inbox